(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.SquareDrawer = void 0;
    const fixFactor = Math.sqrt(2);
    class SquareDrawer {
        draw(context, particle, radius) {
            const fixedRadius = radius / fixFactor, fixedDiameter = fixedRadius * 2;
            context.rect(-fixedRadius, -fixedRadius, fixedDiameter, fixedDiameter);
        }
        getSidesCount() {
            return 4;
        }
    }
    exports.SquareDrawer = SquareDrawer;
});
